      subroutine initelpa(ngal,nl,r,h,e,t)

c     this subroutine initializes the ellipticity and position angle
c     from the measured  second harmonicals

      
      include 'param.inc'
      include 'declare.inc'
      integer  nl(ngal)
      character*128	string
      real     error(MAXLINE)

      call startsub('INITELPA')

      errmax=0.01
      ellmax=0.9

      do 10 igal=1,ngal
         ilast=0
         do 11 il=1,nl(igal)
            err=sqrt(h(2,1,2,il,igal)**2+h(2,2,2,il,igal)**2)
	    if (err.lt.errmax.and.(h(1,1,2,il,igal).ne.0.
     $           .or.h(1,2,2,il,igal).ne.0.)) then
               e(1,il,igal)=2.*sqrt(h(1,1,2,il,igal)**2
     $              +h(1,2,2,il,igal)**2)
               t(1,il,igal)=0.5*
     $              atan2(h(1,2,2,il,igal),h(1,1,2,il,igal))
               error(il)=sqrt(h(2,1,2,il,igal)**2+h(2,2,2,il,igal)**2)
               ilast=il
	    else
               if (ilast.eq.0) then
		  do 12 ilx=il,nl(igal)
                     if (h(1,1,2,ilx,igal).ne.0..or.
     $                    h(1,2,2,ilx,igal).ne.0.) then
                        e(1,il,igal)=2.*sqrt(h(1,1,2,ilx,igal)**2
     $                       +h(1,2,2,ilx,igal)**2)
	 		t(1,il,igal)=0.5*
     $                       atan2(h(1,2,2,ilx,igal),h(1,1,2,ilx,igal))
                        error(il)=-sqrt(h(2,1,2,ilx,igal)**2+
     $                       h(2,2,2,ilx,igal)**2)
			goto 13
                     end if
 12		  continue
 13		  continue
               else
                  e(1,il,igal)=2.*sqrt(h(1,1,2,ilast,igal)**2
     $                 +h(1,2,2,ilast,igal)**2)
	 	  t(1,il,igal)=0.5*
     $                 atan2(h(1,2,2,ilast,igal),h(1,1,2,ilast,igal))
                  error(il)=-sqrt(h(2,1,2,ilast,igal)**2+
     $                 h(2,2,2,ilast,igal)**2)
               end if
	    end if

            if (e(1,il,igal).gt.ellmax) then
               e(1,il,igal)=ellmax
               if (debug.ge.2) then
                  write(string,'('' INITELPA: ellip > ellmax '')')
                  call gwrits(string,1)
               end if
            end if

            if (debug.ge.3) then
               write(string,'('' INITELPA : '',4f10.2)')
     $              r(1,il,igal), e(1,il,igal),t(1,il,igal),error(il)
               call gwrits(string,1)
            end if
                  
 11      continue
 10   continue
      
      return
      end
