      subroutine inpnam(image,output,galaxy,deletion,intable,outtable,
     &     ngal,ellipsefit,ierr)
      
c     this subroutine reads in the input values mostly by means of
c     a fortran parameter file 'prof.par'. Not used in the IRAF
c     version
      
      include 'param.inc'
      
      character*128	image,output,galaxy,deletion,intable,outtable
      integer		ngal
      character*128	string
      logical ellipsefit
      
      namelist/input/
     &     iter1,iter2,hmax,nsammax,debug,npolres,
     &     rmin,rmax,radfac,rshap,rcen,errshap,errcen,dposmax,dellmax,dangmax,
     &     r1,r2,fracmin,
     &     linear,extend
      
c     most io via namelist
      
      call startsub('INPNAM')
      
      call gproms('image',' ',' ',image,ierr)
      if (ierr.ne.0) return
      call gproms('output',' ',' ',output,ierr)
      if (ierr.ne.0) return
      
      ngal=1
      
      galaxy='.gal'
      deletion='.star .cosmic .del'
      intable=' '
      outtable='.har'
      
      iter1=1
      iter2=6
      hmax=6
      nsammax=66
      debug=0
      npolres=4
      
      rmin=0.3
      rmax=0.
      radfac=1.1
      rshap=0.
      rcen=0.
      errshap=0.03
      errcen=0.1
      dposmax=0.1
      dellmax=0.05
      dangmax=0.05
      r1=20.
      r2=40.
      fracmin=.6
      
      linear=.false.
      extend=.true.
      outfill=.false.
      
      open(unit=1,file='prof.par',status='old',iostat=iostat)
      if (iostat.eq.0) then
         read(1,input,iostat=iostat)
         if (iostat.ne.0) then
            write(string,'('' INPNAM : ERROR: reading prof.par '')')
            call gwrits(string,2)
            ierr=iostat
            return
         end if
         close(unit=1)
      else
         write(string,'('' INPNAM: WARNING: Cannot open prof.par '')')
         call gwrits(string,2)
      end if
      
      if (debug.ge.2) call
     &     prio(image,output,galaxy,deletion,intable,outtable,
     &     ngal)
      
      ierr=0
      return
      end
      
