
from basics import *
from pgplot import *
from FITS import *
from GalPhot import *

d = "a3571.fits"
f = FITS(d)
im = f.data()
f.close()

g = GalPhot()
g.initparams()
g.image = im
g.xcen = 266
g.ycen = 269
g.debug = 0
g.rmin = 0.5
g.rmax = 50
g.hmax = 6
g.rshap = 10.0
g.rcen = 10.0
g.cliplow = 0.1
g.cliphigh = 0.1
g.ellipsefit = 1
g.npolres = 4
g.photfit()

qdump("res.fits",g.resim+g.i[-1,0])

h = GalPhot()
h.inputparams(g)
h.image = im
h.xcen = g.x[0,0]
h.ycen = g.y[0,0]
h.debug = 0
h.rmin = 0.5
h.rmax = 50.0
g.hmax = 4
h.rshap = 10.0
h.rcen = 10.0
h.cliplow = 0.1
h.cliphigh = 0.1
h.ellipsefit = 1
h.npolres = 4
h.photfit()
qdump("res2.fits",h.resim+h.i[-1,0])

exit()

opendev("/xs",size=10,nx=2,ny=2,land=1)

newbox([0,max(g.r[::,0])],[0,max(g.i[::,0])],ch=2)
drawln(g.r[::,0],g.i[::,0])
drawln(h.r[::,0],h.i[::,0],ls=2)
xlabel("sqrt(ab)",ch=2)
ylabel("I",ch=2)

newbox([0,max(g.r[::,0])],[0,1.0],ch=2)
drawln(g.r[::,0],g.e[::,0])
drawln(h.r[::,0],h.e[::,0],ls=2)
xlabel("sqrt(ab)",ch=2)
ylabel("e",ch=2)

newbox([-5,5],[-5,5],ch=2,just=1)
drawln(g.x[::,0]-g.x[0,0],g.y[::,0]-g.y[0,0])
drawln(h.x[::,0]-h.x[0,0],h.y[::,0]-h.y[0,0],ls=2)
xlabel("x",ch=2)
ylabel("y",ch=2)

closedev()


