      subroutine gimwrit(name,ncol,nrow,data,object,ierr)
c
      real*4 data(ncol,nrow)
      character*(*) name,object
c
      integer		axlen(7), naxis, dtype, ier, im
      character*80	filename, keyword, comment
      character*128	string

c     subroutine writes IRAF file named name
c     subroutine uses STSDAS/IRAF interface routine for use within IRAF
c     author marijn franx

      filename=name

      axlen(1)=ncol
      axlen(2)=nrow
      naxis=2
      dtype=6


      ierr=0
      call uimcre(filename, dtype, naxis, axlen, im, ierr)
      if (ierr.ne.0) then
         string=' GIMWRIT: ERROR:  creating '//name
	 call gwrits(string,2)
         return
      end if


      keyword='title'
c     dtype=2
c     comment='FORTRAN made file'
c     call imaddk(im, keyword, dtype, comment, ierr)
c     if (ier.ne.0) then
c     write(string,'('' GIMWRIT: ERROR making title '')')
c     call gwrits(string,2)
c     return
c     end if

      ierr=0
      call uhdpst(im, keyword, object, ierr)
      if (ier.ne.0) then
c        maybe the keyword did not exist, try useing uhdast
         call uhdast(im, keyword, object, " ", 0, ierr)
         if (ier.ne.0) then
            write(string,'('' GIMWRIT: ERROR writing title '')')
	    call gwrits(string,2)
c            return
         end if
      end if

c     do irow=1,nrow
c     call impl2r(im, data(1,irow), irow, ierr)
c     write(string,'('' GIMWRIT: write row '',i6)') irow
c     call gwrits(string,2)
c     end do

      call uips2r(im, 1, ncol, 1, nrow, data, ierr)
      if (ierr.ne.0) then
         write(string,'('' GIMWRIT: ERROR writing data '')')
	 call gwrits(string,2)
         return
      end if

      call uimclo(im, ierr)
      if (ierr.ne.0) then
         write(string,'('' GIMWRIT: ERROR closing '')')
	 call gwrits(string,2)
         return
      end if

      return
      end
