
import os
from distutils.core import setup, Extension
from distutils.sysconfig import get_python_inc
import numpy

numdir = os.path.dirname(numpy.__file__)+"/core/include/numpy"

setup(name="galphot",version="5.2",
        description="Python Interface to the C bindings of GalPhot",
        author="Daniel D. Kelson",
        author_email="kelson@ociw.edu",
        url="http://www.ociw.edu/~kelson",
        extra_path="galphot",
        packages = [''],
        package_dir = {'': 'Lib'},
        ext_modules=[Extension("galphot",
                ["galphot_wrap.c"],
                include_dirs=[numdir],
                library_dirs=["/usr/lib","./"],
                libraries=["galphot","m","gfortran"],
                        )])

